Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-SU-2014:0700-1: moderate: strongswan: Fix for authentication bypass and DoS vulnerability
openSUSE Security Update: strongswan: Fix for authentication bypass and DoS
vulnerability
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0700-1
Rating: moderate
References: #870572 #876449
Cross-References: CVE-2014-2338 CVE-2014-2891
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

strongswan was fixed to correct two issues:
- Fix for DoS vulnerability by a NULL-pointer dereference (CVE-2014-2891).
- Fix for a authentication bypass vulnerability in the IKEv2 code
(CVE-2014-2338).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2014-54

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

strongswan-4.5.0-6.64.1
strongswan-debugsource-4.5.0-6.64.1
strongswan-doc-4.5.0-6.64.1
strongswan-ikev1-4.5.0-6.64.1
strongswan-ikev1-debuginfo-4.5.0-6.64.1
strongswan-ikev2-4.5.0-6.64.1
strongswan-ikev2-debuginfo-4.5.0-6.64.1
strongswan-ipsec-4.5.0-6.64.1
strongswan-ipsec-debuginfo-4.5.0-6.64.1
strongswan-libs0-4.5.0-6.64.1
strongswan-libs0-debuginfo-4.5.0-6.64.1
strongswan-mysql-4.5.0-6.64.1
strongswan-mysql-debuginfo-4.5.0-6.64.1
strongswan-nm-4.5.0-6.64.1
strongswan-nm-debuginfo-4.5.0-6.64.1
strongswan-sqlite-4.5.0-6.64.1
strongswan-sqlite-debuginfo-4.5.0-6.64.1


References:

http://support.novell.com/security/cve/CVE-2014-2338.html
http://support.novell.com/security/cve/CVE-2014-2891.html
https://bugzilla.novell.com/870572
https://bugzilla.novell.com/876449


< Previous Next >
This Thread
  • No further messages